#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: test-framework
version: 0.8.2.0
id: test-framework-0.8.2.0-3tLKqsl7TT25R1dL2KlBnw
key: test-framework-0.8.2.0-3tLKqsl7TT25R1dL2KlBnw
license: BSD3
maintainer: Libraries List <libraries@haskell.org>
homepage: http://haskell.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
indefinite: False
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
abi: f497dc918b2c72872b1c851afc5aadce
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/test-framework-0.8.2.0
library-dirs: /usr/lib/ghc-8.2.2/site-local/test-framework-0.8.2.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/test-framework-0.8.2.0
hs-libraries: HStest-framework-0.8.2.0-3tLKqsl7TT25R1dL2KlBnw
depends:
    base-4.10.1.0 ansi-terminal-0.7.1.1-Dkv5Hnnkl1H2BxNaCxi8q7
    ansi-wl-pprint-0.6.8.2-E1jzAtdZkw96Y4IbjE26uJ
    random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We containers-0.5.10.2
    regex-posix-0.95.2-IqArOfr4ebPHggK3GwATg8
    old-locale-1.0.0.7-uLYLcRn7Nv8SkmeS8fMf9 time-1.8.0.2
    xml-1.3.14-I3FZ7oToQdkKSAIpRAmioK
    hostname-1.0-5lbge5b93EG9eAOssUn3b3
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             ansi-terminal-0.7.1.1-Dkv5Hnnkl1H2BxNaCxi8q7=90aaa595726b3421fbff142dea995314
             ansi-wl-pprint-0.6.8.2-E1jzAtdZkw96Y4IbjE26uJ=7f339a79a1750db95a805ca35af9fdbc
             random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We=bddaa4d6513f513fbc23673a7214617b
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             regex-posix-0.95.2-IqArOfr4ebPHggK3GwATg8=cd420ab917035595f49c4a8030579ad5
             old-locale-1.0.0.7-uLYLcRn7Nv8SkmeS8fMf9=cd49072ee3f44d2ed6a40aa4d5cec718
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             xml-1.3.14-I3FZ7oToQdkKSAIpRAmioK=c962cf1fce06763b32f790c959d051a1
             hostname-1.0-5lbge5b93EG9eAOssUn3b3=270c3e4b2339ba09b506dd9c87618185
haddock-interfaces: /usr/share/doc/haskell-test-framework/html/test-framework.haddock
haddock-html: /usr/share/doc/haskell-test-framework/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

